TEXGENTMODE(3CgFX)

NAME
TexGenTMode - 3D API tex gen T mode

USAGE
TexGenTMode[i] = int(mode)

VALID ENUMERANTS
mode: ObjectLinear, EyeLinear, SphereMap, ReflectionMap, NormalMap

DESCRIPTION
Specify the T texture coordinate generation mode. See the GL_TEXTURE_GEN_MODE description on the OpenGL glTexGen manual page for details.

The standard reset callback sets the TexGenTMode[i] state to int(EyeLinear).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
Not applicable.

SEE ALSO
TexGenTEnable, TexGenTEyePlane, TexGenTObjectPlane, TexGenQMode, TexGenRMode, TexGenSMode